import { ITimer } from "@webiny/handler-aws";
import { ElasticsearchContext } from "@webiny/api-elasticsearch/types";
import { IOperations } from "./types";
export interface BulkOperationsResponseBodyItemIndexError {
    reason?: string;
}
export interface BulkOperationsResponseBodyItemIndex {
    error?: BulkOperationsResponseBodyItemIndexError;
}
export interface BulkOperationsResponseBodyItem {
    index?: BulkOperationsResponseBodyItemIndex;
    error?: string;
}
export interface BulkOperationsResponseBody {
    items: BulkOperationsResponseBodyItem[];
}
export interface IExecuteParams {
    timer: ITimer;
    maxRunningTime: number;
    maxProcessorPercent: number;
    context: Pick<ElasticsearchContext, "elasticsearch">;
    operations: IOperations;
}
export declare const execute: (params: IExecuteParams) => () => Promise<void>;
